Page MenuHomePhabricator

Author: line remains in the description, even after the task is claimed by email address
Closed, ResolvedPublic

Description

In https://bugzillapreview.wmflabs.org/T4308 (migrated from https://bugzilla.wikimedia.org/show_bug.cgi?id=67021), my comment is shown under my Phabricator username, so there is no "pleasestand wrote:" line. However, even though I am listed as the task's author, the description does say "Author: pleasestand". Including that fact in the description is redundant, so it should not be there.

Related Objects

Event Timeline

PleaseStand updated the task description. (Show Details)
PleaseStand raised the priority of this task from to Needs Triage.
PleaseStand changed Security from none to None.
PleaseStand added a subscriber: PleaseStand.
Qgil triaged this task as Low priority.Oct 26 2014, 3:02 PM
Qgil added a subscriber: Qgil.
Aklapper assigned this task to chasemp.Oct 27 2014, 4:08 PM
Aklapper added subscribers: chasemp, Aklapper.

We remove the "JohnDoe wrote:" line for any followup comments already after having claimed contributions hence wondering how complex that would be to perform also for the initial description.

@chasemp should know.

Removing that line from the description would require batches of cache invalidation, replacing the whole content and wiping it out. This would require redoing lots of logic and add quite some complexity to the ongoing metadata migration so we'd prefer to avoid it currently.

People could still edit the description manually if they strongly feel about it.

Qgil added a comment.Oct 29 2014, 9:35 PM

Since this is a detail that can be polished after the migration, we will look at it in more detail later.

Qgil raised the priority of this task from Low to Normal.Oct 29 2014, 9:35 PM
Qgil removed chasemp as the assignee of this task.
Qgil edited projects, added Phabricator; removed Bugzilla-Preview.
Qgil lowered the priority of this task from Normal to Low.Nov 7 2014, 10:49 AM
Qgil assigned this task to chasemp.Nov 27 2014, 12:32 PM

As a matter of fact, @chasemp fixed this one silently. I haven't seen any "Author" reference in claimed tasks. Thank you!

Qgil closed this task as Resolved.Nov 27 2014, 12:32 PM